23115987 Upgrade heatclient to 1.1.0
authorLaszlo Peter <laszlo.peter@oracle.com>
Wed, 07 Sep 2016 14:48:37 -0700
changeset 6826 5b442f6fdcfd
parent 6825 a251fb776d3d
child 6827 880d266856d2
23115987 Upgrade heatclient to 1.1.0
components/python/heatclient/Makefile
components/python/heatclient/heatclient-PYVER.p5m
components/python/heatclient/patches/01-requirements.patch
--- a/components/python/heatclient/Makefile	Wed Sep 07 14:48:37 2016 -0700
+++ b/components/python/heatclient/Makefile	Wed Sep 07 14:48:37 2016 -0700
@@ -26,16 +26,16 @@
 include ../../../make-rules/shared-macros.mk
 
 COMPONENT_NAME=		python-heatclient
-COMPONENT_VERSION=	0.4.0
+COMPONENT_VERSION=	1.1.0
 COMPONENT_SRC=		$(COMPONENT_NAME)-$(COMPONENT_VERSION)
 COMPONENT_ARCHIVE=	$(COMPONENT_SRC).tar.gz
 COMPONENT_ARCHIVE_HASH=	\
-    sha256:1b71e2bb5c380ac6b2e1f07b48b7b3e82e7364cc43255ed696c795ab5f8d5a1d
+    sha256:fe8f0fb4b1c2a5e641a8e79e9c743757e85b169e6df65797686fd910f3f477e8
 COMPONENT_ARCHIVE_URL=	$(call pypi_url)
-COMPONENT_PROJECT_URL=	http://launchpad.net/python-heatclient
+COMPONENT_PROJECT_URL=	http://docs.openstack.org/developer/python-heatclient/
 COMPONENT_BUGDB=	service/heat
 
-TPNO=			25752
+TPNO=			27911
 
 # Depends on keystoneclient which is not Python 3 ready.
 PYTHON_VERSIONS=	$(PYTHON2_VERSIONS)
@@ -54,9 +54,8 @@
 
 install:	$(INSTALL_NO_ARCH)
 
-# tests require:
-# hacking, discover, fixtures, sphinx, testrepository, testtools,
-# testscenarios, and mox3 some of which have not been integrated.
+# See $(COMPONENT_SRC)/test-requirements.txt for the Python modules
+# required to execute unittests.
 test:		$(NO_TESTS)
 
-system-test:    $(NO_TESTS)
+system-test:	$(NO_TESTS)
--- a/components/python/heatclient/heatclient-PYVER.p5m	Wed Sep 07 14:48:37 2016 -0700
+++ b/components/python/heatclient/heatclient-PYVER.p5m	Wed Sep 07 14:48:37 2016 -0700
@@ -20,7 +20,7 @@
 #
 
 #
-# Copyright (c) 2014, 2015, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2014, 2016, Oracle and/or its affiliates. All rights reserved.
 #
 
 set name=pkg.fmri \
@@ -50,6 +50,9 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/deployment_utils.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/environment_format.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/event_utils.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/format_utils.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/hook_utils.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/http.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/template_format.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/common/template_utils.py
@@ -66,6 +69,19 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/openstack/common/apiclient/fake_client.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/openstack/common/apiclient/utils.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/openstack/common/cliutils.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/__init__.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/plugin.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/__init__.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/build_info.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/event.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/resource.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/resource_type.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/service.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/snapshot.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/software_config.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/software_deployment.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/stack.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/osc/v1/template.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/shell.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/actions.py
@@ -79,6 +95,7 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/software_configs.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/software_deployments.py
 file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/stacks.py
+file path=usr/lib/python$(PYVER)/vendor-packages/heatclient/v1/template_versions.py
 file path=usr/lib/python$(PYVER)/vendor-packages/python_heatclient-$(COMPONENT_VERSION)-py$(PYVER).egg-info/PKG-INFO
 file path=usr/lib/python$(PYVER)/vendor-packages/python_heatclient-$(COMPONENT_VERSION)-py$(PYVER).egg-info/SOURCES.txt
 file path=usr/lib/python$(PYVER)/vendor-packages/python_heatclient-$(COMPONENT_VERSION)-py$(PYVER).egg-info/dependency_links.txt
@@ -90,28 +107,31 @@
 #
 license LICENSE license="Apache v2.0"
 
+# force a group dependency on the optional oslo.i18n; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/oslo.i18n-$(PYV)
+
 # force a group dependency on the optional simplejson; pkgdepend work is needed
 # to flush this out.
 depend type=group fmri=library/python/simplejson-$(PYV)
 
-# force a dependency on argparse; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/argparse-$(PYV)
+# force a dependency on cliff; pkgdepend work is needed to flush this out.
+depend type=require fmri=library/python/cliff-$(PYV)
 
 # force a dependency on the heatclient package
 depend type=require \
     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 
-# force a dependency on iso8601; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/iso8601-$(PYV)
-
 # force a dependency on keystoneclient; pkgdepend work is needed to flush this
 # out.
 depend type=require fmri=library/python/keystoneclient-$(PYV)
 
-# force a dependency on oslo.i18n; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/oslo.i18n-$(PYV)
+# force a dependency on openstackclient; pkgdepend work is needed to flush this
+# out.
+depend type=require fmri=library/python/openstackclient-$(PYV)
 
-# force a dependency on oslo.serialization; pkgdepend work is needed to flush this out.
+# force a dependency on oslo.serialization; pkgdepend work is needed to flush
+# this out.
 depend type=require fmri=library/python/oslo.serialization-$(PYV)
 
 # force a dependency on oslo.utils; pkgdepend work is needed to flush this out.
@@ -123,6 +143,9 @@
 # force a dependency on prettytable; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/prettytable-$(PYV)
 
+# force a dependency on pyyaml; pkgdepend work is needed to flush this out.
+depend type=require fmri=library/python/pyyaml-$(PYV)
+
 # force a dependency on requests; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/requests-$(PYV)
 
@@ -135,4 +158,3 @@
 # force a dependency on swiftclient; pkgdepend work is needed to flush this
 # out.
 depend type=require fmri=library/python/swiftclient-$(PYV)
-
--- a/components/python/heatclient/patches/01-requirements.patch	Wed Sep 07 14:48:37 2016 -0700
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,24 +0,0 @@
-In-house patch to remove the dependency on argparse.  Since we use
-Python 2.7 only for OpenStack, argparse is already included.  If this
-line is present, stevedore will fail to find the pip package for it,
-causing a cascade of failures to other tools.
-
---- python-heatclient-0.4.0/requirements.txt.orig	2015-10-19 22:19:56.430433886 -0400
-+++ python-heatclient-0.4.0/requirements.txt	2015-10-19 22:21:01.984674272 -0400
[email protected]@ -4,7 +4,6 @@
- 
- Babel>=1.3
- pbr>=0.6,!=0.7,<1.0
--argparse
- iso8601>=0.1.9
- PrettyTable>=0.7,<0.8
- oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
---- python-heatclient-0.4.0/python_heatclient.egg-info/requires.txt.orig	2015-10-19 22:20:35.968945850 -0400
-+++ python-heatclient-0.4.0/python_heatclient.egg-info/requires.txt	2015-10-19 22:20:44.657091042 -0400
[email protected]@ -1,6 +1,5 @@
- Babel>=1.3
- pbr>=0.6,!=0.7,<1.0
--argparse
- iso8601>=0.1.9
- PrettyTable>=0.7,<0.8
- oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0